package hello;

import jakarta.jws.WebParam;
import jakarta.jws.WebResult;
import jakarta.jws.WebService;

import java.time.LocalTime;

// JAX-WS → Java API for XML Web Services
// Od Java SE 6 do 10 to była część standardowej edycji

@WebService
public class Pierwszy {

    @WebResult(name="powitanie")
    public String hello(@WebParam(name="imie") String kto) {
        return "Witaj " + kto;
    }

    @WebResult(name="suma")
    public int add(@WebParam(name="x") int x,
                   @WebParam(name="y") int y) {
        return x + y;
    }

    @WebResult(name="now")
    public String ktoraGodzina() {
        return LocalTime.now().toString();
    }
}
