package zadania.zad09.klasy_jaxb_ns;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import javax.xml.datatype.XMLGregorianCalendar;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TTowar complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TTowar">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="nazwa" type="{urn:sklep}TNazwa"/>
 *         &lt;element name="opis" type="{urn:sklep}TTekst" minOccurs="0"/>
 *         &lt;element name="cena" type="{urn:sklep}TKwota"/>
 *         &lt;element name="cena-brutto" type="{urn:sklep}TKwota" minOccurs="0"/>
 *         &lt;element name="vat" type="{urn:sklep}TVat"/>
 *         &lt;element name="cena-promocyjna" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;urn:sklep>TKwota">
 *                 &lt;attGroup ref="{urn:sklep}APrzedział"/>
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="id-towaru" use="required" type="{urn:sklep}TId" />
 *       &lt;attribute name="id-kategorii" type="{urn:sklep}TId" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TTowar", propOrder = {
    "nazwa",
    "opis",
    "cena",
    "cenaBrutto",
    "vat",
    "cenaPromocyjna"
})
public class TTowar {

    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String nazwa;
    protected TTekst opis;
    @XmlElement(required = true)
    protected BigDecimal cena;
    @XmlElement(name = "cena-brutto")
    protected BigDecimal cenaBrutto;
    @XmlElement(required = true)
    protected BigDecimal vat;
    @XmlElement(name = "cena-promocyjna")
    protected List<TTowar.CenaPromocyjna> cenaPromocyjna;
    @XmlAttribute(name = "id-towaru", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String idTowaru;
    @XmlAttribute(name = "id-kategorii")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String idKategorii;

    /**
     * Gets the value of the nazwa property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazwa() {
        return nazwa;
    }

    /**
     * Sets the value of the nazwa property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazwa(String value) {
        this.nazwa = value;
    }

    /**
     * Gets the value of the opis property.
     * 
     * @return
     *     possible object is
     *     {@link TTekst }
     *     
     */
    public TTekst getOpis() {
        return opis;
    }

    /**
     * Sets the value of the opis property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTekst }
     *     
     */
    public void setOpis(TTekst value) {
        this.opis = value;
    }

    /**
     * Gets the value of the cena property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCena() {
        return cena;
    }

    /**
     * Sets the value of the cena property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCena(BigDecimal value) {
        this.cena = value;
    }

    /**
     * Gets the value of the cenaBrutto property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCenaBrutto() {
        return cenaBrutto;
    }

    /**
     * Sets the value of the cenaBrutto property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCenaBrutto(BigDecimal value) {
        this.cenaBrutto = value;
    }

    /**
     * Gets the value of the vat property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getVat() {
        return vat;
    }

    /**
     * Sets the value of the vat property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setVat(BigDecimal value) {
        this.vat = value;
    }

    /**
     * Gets the value of the cenaPromocyjna property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the cenaPromocyjna property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCenaPromocyjna().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TTowar.CenaPromocyjna }
     * 
     * 
     */
    public List<TTowar.CenaPromocyjna> getCenaPromocyjna() {
        if (cenaPromocyjna == null) {
            cenaPromocyjna = new ArrayList<TTowar.CenaPromocyjna>();
        }
        return this.cenaPromocyjna;
    }

    /**
     * Gets the value of the idTowaru property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdTowaru() {
        return idTowaru;
    }

    /**
     * Sets the value of the idTowaru property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdTowaru(String value) {
        this.idTowaru = value;
    }

    /**
     * Gets the value of the idKategorii property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdKategorii() {
        return idKategorii;
    }

    /**
     * Sets the value of the idKategorii property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdKategorii(String value) {
        this.idKategorii = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;urn:sklep>TKwota">
     *       &lt;attGroup ref="{urn:sklep}APrzedział"/>
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class CenaPromocyjna {

        @XmlValue
        protected BigDecimal value;
        @XmlAttribute(name = "od", required = true)
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar od;
        @XmlAttribute(name = "do", required = true)
        @XmlSchemaType(name = "date")
        protected XMLGregorianCalendar _do;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link BigDecimal }
         *     
         */
        public BigDecimal getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigDecimal }
         *     
         */
        public void setValue(BigDecimal value) {
            this.value = value;
        }

        /**
         * Gets the value of the od property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getOd() {
            return od;
        }

        /**
         * Sets the value of the od property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setOd(XMLGregorianCalendar value) {
            this.od = value;
        }

        /**
         * Gets the value of the do property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getDo() {
            return _do;
        }

        /**
         * Sets the value of the do property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setDo(XMLGregorianCalendar value) {
            this._do = value;
        }

    }

}
