package zadania.zad13.sklep;

import javax.xml.namespace.QName;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the zad13.sklep package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _TTekstBr_QNAME = new QName("urn:sklep", "br");
    private final static QName _TTekstRem_QNAME = new QName("urn:sklep", "rem");
    private final static QName _TTekstEm_QNAME = new QName("urn:sklep", "em");
    private final static QName _TTekstTerm_QNAME = new QName("urn:sklep", "term");
    private final static QName _TTekstLink_QNAME = new QName("urn:sklep", "link");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: zad13.sklep
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TTekst }
     * 
     */
    public TTekst createTTekst() {
        return new TTekst();
    }

    /**
     * Create an instance of {@link Towar }
     * 
     */
    public Towar createTowar() {
        return new Towar();
    }

    /**
     * Create an instance of {@link Cenniki }
     * 
     */
    public Cenniki createCenniki() {
        return new Cenniki();
    }

    /**
     * Create an instance of {@link Cennik }
     * 
     */
    public Cennik createCennik() {
        return new Cennik();
    }

    /**
     * Create an instance of {@link Sklep }
     * 
     */
    public Sklep createSklep() {
        return new Sklep();
    }

    /**
     * Create an instance of {@link TKategoria }
     * 
     */
    public TKategoria createTKategoria() {
        return new TKategoria();
    }

    /**
     * Create an instance of {@link TTekst.Br }
     * 
     */
    public TTekst.Br createTTekstBr() {
        return new TTekst.Br();
    }

    /**
     * Create an instance of {@link TTekst.Link }
     * 
     */
    public TTekst.Link createTTekstLink() {
        return new TTekst.Link();
    }

    /**
     * Create an instance of {@link Towar.CenaPromocyjna }
     * 
     */
    public Towar.CenaPromocyjna createTowarCenaPromocyjna() {
        return new Towar.CenaPromocyjna();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TTekst.Br }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:sklep", name = "br", scope = TTekst.class)
    public JAXBElement<TTekst.Br> createTTekstBr(TTekst.Br value) {
        return new JAXBElement<TTekst.Br>(_TTekstBr_QNAME, TTekst.Br.class, TTekst.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TTekst }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:sklep", name = "rem", scope = TTekst.class)
    public JAXBElement<TTekst> createTTekstRem(TTekst value) {
        return new JAXBElement<TTekst>(_TTekstRem_QNAME, TTekst.class, TTekst.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TTekst }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:sklep", name = "em", scope = TTekst.class)
    public JAXBElement<TTekst> createTTekstEm(TTekst value) {
        return new JAXBElement<TTekst>(_TTekstEm_QNAME, TTekst.class, TTekst.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TTekst }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:sklep", name = "term", scope = TTekst.class)
    public JAXBElement<TTekst> createTTekstTerm(TTekst value) {
        return new JAXBElement<TTekst>(_TTekstTerm_QNAME, TTekst.class, TTekst.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TTekst.Link }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:sklep", name = "link", scope = TTekst.class)
    public JAXBElement<TTekst.Link> createTTekstLink(TTekst.Link value) {
        return new JAXBElement<TTekst.Link>(_TTekstLink_QNAME, TTekst.Link.class, TTekst.class, value);
    }

}
